libzypp 17.37.10

zyppng::AcceptUnsignedFileRequest Namespace Reference

## Functions
constexpr std::string_view | CTYPE ("keyring/accept-unsigned-file")
constexpr std::string_view | FILE ("file")
constexpr std::string_view | KEY_CONTEXT ("key-context")
UserData | makeData (const std::string &file, const zypp::KeyContext &keycontext=zypp::KeyContext())

## Detailed Description

Ask user to accept or reject a unsigned file

Userdata fields:

- "file" The file zypp needs to be accepted or rejected
- "key-context" context the file came up in

## Function Documentation

## ◆ CTYPE()

std::string_view zyppng::AcceptUnsignedFileRequest::CTYPE | ( | "keyring/accept-unsigned-file" |  | ) |
| constexpr

## ◆ FILE()

std::string_view zyppng::AcceptUnsignedFileRequest::FILE | ( | "file" |  | ) |
| constexpr

## ◆ KEY_CONTEXT()

std::string_view zyppng::AcceptUnsignedFileRequest::KEY_CONTEXT | ( | "key-context" |  | ) |
| constexpr

## ◆ makeData()

UserData zyppng::AcceptUnsignedFileRequest::makeData | ( | const std::string & | file,
|  | const zypp::KeyContext & | keycontext = zypp::KeyContext() )

Definition at line 69 of file userrequest.cc.